Package io.milvus.response

## Class DescIndexResponseWrapper.IndexDesc

- java.lang.Object
- - io.milvus.response.DescIndexResponseWrapper.IndexDesc

- Enclosing class:
    DescIndexResponseWrapper

      public static final class DescIndexResponseWrapper.IndexDesc
      extends java.lang.Object

  Internal-use class to wrap response of `describeIndex` interface.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IndexDesc​(@NonNull java.lang.String fieldName, @NonNull java.lang.String indexName, long id)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addParam​(@NonNull java.lang.String key, @NonNull java.lang.String value)` |
    `java.lang.String` | `getExtraParam()` |
    `IndexType` | `getIndexType()` |
    `MetricType` | `getMetricType()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexDesc

          public IndexDesc​(@NonNull
                           @NonNull java.lang.String fieldName,
                           @NonNull
                           @NonNull java.lang.String indexName,
                           long id)

  - ### Method Detail

    - #### addParam

          public void addParam​(@NonNull
                               @NonNull java.lang.String key,
                               @NonNull
                               @NonNull java.lang.String value)

    - #### getIndexType

          public IndexType getIndexType()

    - #### getMetricType

          public MetricType getMetricType()

    - #### getExtraParam

          public java.lang.String getExtraParam()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`